/* Example with one equation (circle) and square X range */
/* Last edited on 2002-12-01 19:57:51 by stolfi */

#define N 2 /* number of variables */
#define M 1 /* number of equations */
#define P 2 /* Number of noises that may be eliminated */

#define XCTR -0.3
#define YCTR -0.2
#define RAD 1.2

static void func_args
  ( real xmin, real xmax, real ymin, real ymax, AAform X[N], int S[P] )
  {
    aa_interval(X[0],xmin,xmax); S[0] = aa_last(); 
    aa_interval(X[1],ymin,ymax); S[1] = aa_last();
  }

static void func_aa(AAform X[N], AAform Y[M])
  {
    AAform a,b;
    aa_clear(a); aa_clear(b); aa_clear(Y[0]);
    aa_trans(a,X[0],-(XCTR)); aa_sqr(a,a);
    aa_trans(b,X[1],-(YCTR)); aa_sqr(b,b);
    aa_add(Y[0],a,b);
    aa_trans(Y[0],Y[0],-(RAD*RAD));
  }

static void func_show(void)
  {
    gpcircle(XCTR,YCTR,RAD);
  }
